/* ====================================== PRODUCT PAGE ======================================== */
.section-product {
  width: 70%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  margin: 50px auto;
}

.section-product .content {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 30px;
  margin: 50px auto;
}

.section-product .image-container {
  flex: 1;
  padding: 40px;
}

.section-product .details-container {
  flex: 2;
  padding: 40px;
}

.section-product .details-container h1 {
  font-size: 30px;
  font-weight: bold;
  margin: 0;
}

.section-product .details-container .authors {
  font-size: 20px;
  font-weight: 500;
  margin-top: 10px;
}

.section-product .details-container .price-reviews {
  margin-top: 10px;
}

.section-product .details-container .description {
  margin-top: 5px;
  width: 100%;
}

.section-product .details-container .prices {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 10px;
}

.section-product .details-container .discounted {
  font-size: 20px;
  font-weight: bold;
  margin: 0;
}

.section-product .details-container .normal {
  text-decoration: line-through;
  font-size: 20px;
  margin: 0;
  color: #8c8c8c;
}

.book-wrapper {
  width: 325px;
  height: 450px;
  position: relative;
}

.book-container {
  width: 100%;
  height: 100%;
  position: absolute;
}

.book-front {
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2));
  background-position-x: -55px;
  background-size: cover;
  overflow: hidden;
  border-radius: 0 5px 5px 0;
}

.book-left {
  position: absolute;
  width: 40px;
  left: -20px;
  background-color: black;
  background-position-x: -19px;
  background-size: auto 100%;
  background-repeat: no-repeat;
  border-radius: 5px 0px 0px 5px;
}

.book-front:before {
  content: '';
  width: 3px;
  position: absolute;
  top: 0;
  left: 5px;
  bottom: 0;
  background: rgba(0, 0, 0, 0.2);
  box-shadow: 1px 0 3px rgba(255, 255, 255, 0.2);
}

.side {
  position: absolute;
  height: 100%;
  transform-style: preserve-3d;
  letter-spacing: 1px;
}
.side .cover {
  height: 100px;
  line-height: 100px;
  text-align: center;
  display: block;
  color: #f0c9d0;
  font-size: 45px;
  background: rgba(74, 32, 100, 0.3);
  position: absolute;
  width: 100%;
  top: 35%;
}

.spine-text {
  transform-origin: 0% 0%;
  transform: rotate(90deg) translateY(-40px);
  width: 450px;
  height: 40px;
  line-height: 45px;
  color: #f0c9d0;
  display: block;
  text-align: center;
  padding: 0 20px;
  font-size: 16px;
  /* long text */
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
